Bug 437061

Summary: gdm crashes before password prompt
Product: [Fedora] Fedora Reporter: Dave Airlie <airlied>
Component: gdmAssignee: jmccann
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: high    
Version: rawhideCC: bdwheele, cschalle, danw, dwalsh, lsof, rstrode, sg266, thub
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-06 00:09:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    

Description Dave Airlie 2008-03-11 20:06:50 EDT
Description of problem:

GDM crashes after clicking on a username or Other... before I get the chance to
enter a password.

This happens with latest rawhide on a number of my installs.

I've managed to avoid the crash by stracing gdm-simple-greeter and it all works
fine...

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 0xb8065a00 (LWP 2729)]
0x009e3d5f in g_logv () from /lib/libglib-2.0.so.0
(gdb) bt
#0  0x009e3d5f in g_logv () from /lib/libglib-2.0.so.0
#1  0x009e40d6 in g_log () from /lib/libglib-2.0.so.0
#2  0x009e433b in g_return_if_fail_warning () from /lib/libglib-2.0.so.0
#3  0x08061f24 in alphasort () at alphasort.c:24
#4  0x0805fcb4 in alphasort () at alphasort.c:24
#5  0x0096f86a in g_cclosure_marshal_VOID__STRING ()
   from /lib/libgobject-2.0.so.0
#6  0x0096115b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#7  0x00977b3d in ?? () from /lib/libgobject-2.0.so.0
#8  0x00979270 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#9  0x00979716 in g_signal_emit () from /lib/libgobject-2.0.so.0
#10 0x0805681f in alphasort () at alphasort.c:24
#11 0x08057892 in alphasort () at alphasort.c:24
#12 0x00783ef5 in dbus_connection_dispatch () from /lib/libdbus-1.so.3
#13 0x001a9f7d in ?? () from /usr/lib/libdbus-glib-1.so.2
#14 0x009da0b8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#15 0x009dd763 in ?? () from /lib/libglib-2.0.so.0
#16 0x009ddc82 in g_main_loop_run () from /lib/libglib-2.0.so.0
#17 0x004ea711 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#18 0x08051ca9 in alphasort () at alphasort.c:24
#19 0x00a98606 in __libc_start_main (main=0x8051a00 <alphasort+2412>, argc=1,
    ubp_av=0xbfd7e9e4, init=0x80749f0, fini=0x80749e0,
    rtld_fini=0x1200b0 <_dl_fini>, stack_end=0xbfd7e9dc) at libc-start.c:220
---Type <return> to continue, or q <return> to quit---
#20 0x08051901 in alphasort () at alphasort.c:24
(gdb)

is the backtrace for the SIGTRAP.. maybe you need to rethink SIGTRAPing in this
case...
Comment 1 Ray Strode [halfline] 2008-03-11 23:52:15 EDT
Do you have the iso-codes package installed?  It doesn't behave very well in
that scenario right now, and the rpm was missing a Requires.
Comment 2 Dave Airlie 2008-03-12 00:10:36 EDT
yes it was installed...

it definitely looks like the glib SIGTRAP stuff is tripping it up as although
there may be a bug, the TRAP isn't handled.. hence stracing or gdb let it run
fine as they catch the signal..

Comment 3 jmccann 2008-03-12 17:29:13 EDT
Dave, could you install the debuginfo packages for at least gdm, gtk2+, glib2
and try to get a new backtrace?
Comment 4 Brian Wheeler 2008-03-18 11:32:48 EDT
I had this crash as well, but I tracked it down to something much larger.  I had
been having some trouble with the init socket error problem and ran fixfiles to
try to resolve it.  During that process (perhaps) /tmp's permissions were set to
0755.  When I restored them to 1777 (which I think is the default) gdm prompted
for the password and worked ok.
Comment 5 Dan Winship 2008-03-26 13:07:39 EDT
I had this problem when I first installed F9 yesterday, but after yum updating
this morning I can log in fine. (This is with gdm-2.21.10-0.2008.03.26.1,
although I don't know for sure that it was the gdm fix as opposed to something
else that fixed it.)
Comment 6 Saikat Guha 2008-03-30 05:48:29 EDT
Confirming the problem under gdm-2.21.10-0.2008.03.26.3.fc9.i386

[Thread debugging using libthread_db enabled]
[New Thread 0xb7f86a00 (LWP 2748)]
[New Thread 0xb7d85b90 (LWP 2930)]
0x00131416 in __kernel_vsyscall ()
#0  0x00131416 in __kernel_vsyscall ()
#1  0x00b1c0ab in waitpid () from /lib/libc.so.6
#2  0x0806c903 in gdm_signal_handler_backtrace () at gdm-signal-handler.c:190
#3  0x0806c9f4 in signal_handler (signo=<value optimized out>)
c:245
#4  <signal handler called>
#5  0x00131416 in __kernel_vsyscall ()
#6  0x00aab4b0 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00aace78 in abort () at abort.c:88
#8  0x009e200a in IA__g_logv (log_domain=0x0, log_level=G_LOG_LEVEL_CRITICAL, 
    format=0xa36abf "%s: assertion `%s' failed", 
s1=0xbfca5bec "À\233\a\b@\231\a\b [\022") at gmessages.c:497
#9  0x009e2046 in IA__g_log (log_domain=0x0, log_level=G_LOG_LEVEL_CRITICAL, 
    format=0xa36abf "%s: assertion `%s' failed") at gmessages.c:517
log_domain=0x0, 
    pretty_function=0x8079bc0 "gdm_option_widget_set_default_item", 
    expression=0x8079940 "item == NULL || gdm_option_widget_lookup_item (widget,
item, NULL, NULL, NULL)") at gmessages.c:532
#11 0x08062a74 in gdm_option_widget_set_default_item (widget=0x8bb2038, 
    item=0x8bb2b98 "en_US.utf8") at gdm-option-widget.c:282
#12 0x080605d4 in gdm_greeter_panel_set_default_language_name (
    panel=0x8b98858, language_name=0x8d2c0c8 "en_US.UTF-8")
    at gdm-greeter-panel.c:662
#13 0x0096e07c in IA__g_cclosure_marshal_VOID__STRING (closure=0x8b84f98, 
    return_value=0x0, n_param_values=2, param_values=0xbfca5ec8, 
    invocation_hint=0xbfca5dfc, marshal_data=0x8059410) at gmarshal.c:496
#14 0x0096112b in IA__g_closure_invoke (closure=0x8b84f98, return_value=0x0, 
    n_param_values=2, param_values=0xbfca5ec8, invocation_hint=0xbfca5dfc)
    at gclosure.c:490
#15 0x00975995 in signal_emit_unlocked_R (node=0x8b88d40, detail=0, 
    instance=0x8b69080, emission_return=0x0, instance_and_params=0xbfca5ec8)
    at gsignal.c:2440
#16 0x00976ece in IA__g_signal_emit_valist (instance=0x8b69080, signal_id=25, 
    detail=0, var_args=0xbfca60e0 "ìÚÒ\bо¸\b\200\220¶\b°ÜÒ\b°ÜÒ\bô\037{")
    at gsignal.c:2199
#17 0x00977336 in IA__g_signal_emit (instance=0x8b69080, signal_id=25, 
    detail=0) at gsignal.c:2243
#18 0x08056c1f in emit_string_signal_for_message (client=0x8b69080, 
    name=0x8076cac "DefaultLanguageNameChanged", message=0x8d256d0, signal=7)
    at gdm-greeter-client.c:154
#19 0x08057cf2 in client_dbus_filter_function (connection=0x8b8bed0, 
    message=0xabc, user_data=0x8b69080) at gdm-greeter-client.c:174
#20 0x0077fef5 in dbus_connection_dispatch (connection=0x8b8bed0)
    at dbus-connection.c:4379
#21 0x001a5f7d in message_queue_dispatch (source=0x8b8c070, callback=0, 
    user_data=0x0) at dbus-gmain.c:101
#22 0x009d8068 in IA__g_main_context_dispatch (context=0x8b67070)
    at gmain.c:2003
#23 0x009db713 in g_main_context_iterate (context=0x8b67070, block=1, 
    dispatch=1, self=0x8b62c88) at gmain.c:2636
#24 0x009dbc32 in IA__g_main_loop_run (loop=0x8d3da90) at gmain.c:2844
#25 0x004e68e9 in IA__gtk_main () at gtkmain.c:1163
#26 0x08051ea9 in main (argc=1, argv=0xbfca6464) at greeter-main.c:368

Thread 2 (Thread 0xb7d85b90 (LWP 2930)):
#0  0x00131416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00b5099b in read () from /lib/libc.so.6
No symbol table info available.
#2  0x009d8fad in child_watch_helper_thread (data=0x0)
    at /usr/include/bits/unistd.h:45

#011list = (GSList *) 0xb6f180
#3  0x00a0245f in g_thread_create_proxy (data=0x8b8b520) at gthread.c:635

#4  0x00dd351f in start_thread (arg=0xb7d85b90) at pthread_create.c:297
#011__res = <value optimized out>
#011__ignore1 = <value optimized out>
#011__ignore2 = <value optimized out>
#011pd = (struct pthread *) 0xb7d85b90
#011now = <value optimized out>
0, 
mask_was_saved = 0}}, priv = {
0x0}, data = {prev = 0x0, cleanup = 0x0, 

#011not_first_call = <value optimized out>
#011robust = <value optimized out>
#5  0x00b60dbe in clone () from /lib/libc.so.6
#011__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0xba69f0
#011fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}

Thread 1 (Thread 0xb7f86a00 (LWP 2748)):
#0  0x00131416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00b1c0ab in waitpid () from /lib/libc.so.6
No locals.
#2  0x0806c903 in gdm_signal_handler_backtrace () at gdm-signal-handler.c:190
st_mode = 33261, 
__pad2 = 0, 
st_blocks = 24, st_atim = {
tv_sec = 1206568698, 

__unused5 = 0}
#3  0x0806c9f4 in signal_handler (signo=<value optimized out>)
    at gdm-signal-handler.c:245


#4  <signal handler called>
No symbol table info available.
#5  0x00131416 in __kernel_vsyscall ()
No symbol table info available.
#6  0x00aab4b0 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#011resultvar = <value optimized out>


#7  0x00aace78 in abort () at abort.c:88
#011act = {__sigaction_handler = {sa_handler = 0xbed120 <main_arena>, 
148218232, 
3217708816, 

144, 
sa_flags = 148215640, 

0 <repeats 31 times>}}
#8  0x009e200a in IA__g_logv (log_domain=0x0, log_level=G_LOG_LEVEL_CRITICAL, 
    format=0xa36abf "%s: assertion `%s' failed", 
    args1=0xbfca5bec "À\233\a\b@\231\a\b [\022") at gmessages.c:497

#011domain = <value optimized out>
#011data = (gpointer) 0x0
#011log_func = (GLogFunc) 0x806c580 <gdm_log_default_handler>

#011test_level = <value optimized out>

#011i = <value optimized out>
#9  0x009e2046 in IA__g_log (log_domain=0x0, log_level=G_LOG_LEVEL_CRITICAL, 
    format=0xa36abf "%s: assertion `%s' failed") at gmessages.c:517
No locals.
#10 0x009e22ab in IA__g_return_if_fail_warning (log_domain=0x0, 
    pretty_function=0x8079bc0 "gdm_option_widget_set_default_item", 
gmessages.c:532
No locals.
#11 0x08062a74 in gdm_option_widget_set_default_item (widget=0x8bb2038, 
    item=0x8bb2b98 "en_US.utf8") at gdm-option-widget.c:282

#12 0x080605d4 in gdm_greeter_panel_set_default_language_name (
    panel=0x8b98858, language_name=0x8d2c0c8 "en_US.UTF-8")
    at gdm-greeter-panel.c:662


#13 0x0096e07c in IA__g_cclosure_marshal_VOID__STRING (closure=0x8b84f98, 
    return_value=0x0, n_param_values=2, param_values=0xbfca5ec8, 
    invocation_hint=0xbfca5dfc, marshal_data=0x8059410) at gmarshal.c:496
#011data1 = (gpointer) 0x8b69080
#011data2 = <value optimized out>

#14 0x0096112b in IA__g_closure_invoke (closure=0x8b84f98, return_value=0x0, 
    n_param_values=2, param_values=0xbfca5ec8, invocation_hint=0xbfca5dfc)
    at gclosure.c:490
#011marshal = (
    GClosureMarshal) 0x804fa64 <g_cclosure_marshal_VOID__STRING@plt>
#011marshal_data = (gpointer) 0x0

#15 0x00975995 in signal_emit_unlocked_R (node=0x8b88d40, detail=0, 
    instance=0x8b69080, emission_return=0x0, instance_and_params=0xbfca5ec8)
    at gsignal.c:2440
#011tmp = <value optimized out>
#011handler = (Handler *) 0x8b69180
#011accumulator = (SignalAccumulator *) 0x0

run_type = G_SIGNAL_RUN_FIRST}, 
chain_type = 4}
#011class_closure = (GClosure *) 0x8b88ce0
#011handler_list = (Handler *) 0x8b69180
#011return_accu = (GValue *) 0x0
v_long = 0, 
v_double = 0, 
v_ulong = 0, 
v_pointer = 0x0}}}

ast message repeated 2 times
#16 0x00976ece in IA__g_signal_emit_valist (instance=0x8b69080, signal_id=25, 
    detail=0, var_args=0xbfca60e0 "ìÚÒ\bо¸\b\200\220¶\b°ÜÒ\b°ÜÒ\bô\037{")
    at gsignal.c:2199
#011instance_and_params = (GValue *) 0xbfca5ec8
v_int = 146182272, 
v_ulong = 146182272, 
v_float = 1.09876983e-33, 

v_int64 = 0, 
v_pointer = 0x0}}}, {
v_uint = 148029640, 
v_int64 = 148029640, 
v_float = 1.26842379e-33, 

v_int64 = 0, 
v_pointer = 0x0}}}, {
v_long = 0, 
v_int64 = -5190090501130289152, 
v_float = 0, 
v_pointer = 0x0}, {
v_long = 146154586, 
v_int64 = -4626780938541063078, 
v_float = 1.09622728e-33, 
v_pointer = 0x8b6245a}}}, {
v_uint = 1229216, 
v_int64 = -2081351313532993120, 
v_float = 1.72249849e-39, 
v_pointer = 0x12c1a0}, {
v_long = 119073904, 
v_uint64 = 232047307888, 
v_double = 1.146466030374073e-312, 
g_type = 3217710904, data = {{

v_int64 = 635666223651725156, 
v_float = 1.11692736e-38, 
v_int = 0, 
v_int64 = 463856467968, 
v_float = 0, 
v_pointer = 0x0}}}, {
v_uint = 8069108, 
v_int64 = -4626779718908436492, 
v_float = 1.13072286e-38, 
v_pointer = 0x7b1ff4}, {
v_long = -1077256312, 
v_int64 = 33900201559875464, 
v_float = -1.58104038, 
v_pointer = 0xbfca5f88}}}, {
v_long = 115, 
v_uint64 = 463856468083, 
v_double = 2.2917554548106696e-312, 
v_uint = 3217711212, 
v_ulong = 3217711212, 
v_uint64 = 635666226861465708, 
v_double = 3.554884746884206e-266, 
v_int = 108, 
v_ulong = 108, 
v_uint64 = 13819963427080110188, 
v_double = -0.2060399055480987, 
v_uint = 148002516, 
v_int64 = 674457867988, 
v_float = 1.26593285e-33, 
v_pointer = 0x8d256d4}}}, {
v_uint = 7888645, 
v_int64 = 635665965953605381, 
v_float = 1.10543461e-38, 
v_pointer = 0x785f05}, {
v_ulong = 158, 
v_uint64 = 13819963581698932894, 
v_double = -0.20604419708252392, 
v_int = 8069108, 
v_ulong = 8069108, 
v_uint64 = 13819964354801115124, 
v_double = -0.20606565497860141, 
v_uint = 3217711016, 
v_ulong = 3217711016, 
v_uint64 = 33881862049521576, 
v_double = 2.1692293790449219e-306, 

v_ulong = 115, 
v_uint64 = 588410519667, 
v_double = 2.9071342341905986e-312, 
v_uint = 7909610, 
v_int64 = 34656554975801578, 
v_float = 1.10837243e-38, 
v_pointer = 0x78b0ea}}}, {
v_uint = 3217711144, 
v_ulong = 3217711144, 
v_uint64 = 34009203534880808, 
v_double = 2.2094950130970132e-306, 
v_uint = 3217711196, 
v_ulong = 3217711196, 
v_uint64 = 13819965096745132124, 
v_double = -0.20608624806186782, 
v_int = 22, 
v_int64 = 17179869206, 
v_float = 3.08285662e-44, 
v_pointer = 0x16}, {
v_long = 146216924, 
v_int64 = -4626780216986495012, 
v_float = 1.10195212e-33, 
v_pointer = 0x8b717dc}}}, {
v_uint = 3217711100, 
v_int64 = 677527576572, 
v_float = -1.58105421, 
v_pointer = 0xbfca5ffc}, {
v_long = -1077256100, 
v_uint64 = 3217711196, 
v_double = 1.5897605601823498e-314, 
g_type = 8069108, data = {{
v_long = -1077256100, 
v_int64 = -4626779939037093796, 
v_float = -1.58106565, 
v_pointer = 0xbfca605c}, {

v_int64 = -4626779151972910995, 
v_float = 1.1086419e-38, 
v_pointer = 0x78b86d}}}, {
v_uint = 148002516, 
v_int64 = 674457867988, 
v_float = 1.26593285e-33, 
v_pointer = 0x8d256d4}, {
v_long = 148002576, 
v_uint64 = 148002576, 
v_double = 7.3122988297608176e-316, 

#011free_me = (GValue *) 0x0

#011param_values = (GValue *) 0xbfca5edc
#011node = (SignalNode *) 0x8b88d40

#011n_params = <value optimized out>

#17 0x00977336 in IA__g_signal_emit (instance=0x8b69080, signal_id=25, 
    detail=0) at gsignal.c:2243
No locals.
#18 0x08056c1f in emit_string_signal_for_message (client=0x8b69080, 
    name=0x8076cac "DefaultLanguageNameChanged", message=0x8d256d0, signal=7)
    at gdm-greeter-client.c:154

padding1 = 0x80767ec}

#011res = <value optimized out>
#19 0x08057cf2 in client_dbus_filter_function (connection=0x8b8bed0, 
    message=0xabc, user_data=0x8b69080) at gdm-greeter-client.c:174

#20 0x0077fef5 in dbus_connection_dispatch (connection=0x8b8bed0)
    at dbus-connection.c:4379
#011filter = (DBusMessageFilter *) 0xabc
#011next = (DBusList *) 0x0
#011message = (DBusMessage *) 0x8d256d0
#011link = <value optimized out>
#011filter_list_copy = (DBusList *) 0x8b8b818
#011message_link = (DBusList *) 0x8b8b848

#011pending = <value optimized out>
#011status = <value optimized out>

#21 0x001a5f7d in message_queue_dispatch (source=0x8b8c070, callback=0, 
    user_data=0x0) at dbus-gmain.c:101
#011connection = (DBusConnection *) 0x8b8bed0
#22 0x009d8068 in IA__g_main_context_dispatch (context=0x8b67070)
    at gmain.c:2003
No locals.
#23 0x009db713 in g_main_context_iterate (context=0x8b67070, block=1, 
    dispatch=1, self=0x8b62c88) at gmain.c:2636

ast message repeated 3 times
#011allocated_nfds = <value optimized out>
#011fds = (GPollFD *) 0x8d3f970

#24 0x009dbc32 in IA__g_main_loop_run (loop=0x8d3da90) at gmain.c:2844
#011self = (GThread *) 0x8b62c88

#25 0x004e68e9 in IA__gtk_main () at gtkmain.c:1163
#011tmp_list = (GList *) 0x0
#011functions = (GList *) 0x0
#011init = (GtkInitFunction *) 0xbfca63c8
#011loop = (GMainLoop *) 0x8d3da90
#26 0x08051ea9 in main (argc=1, argv=0xbfca6464) at greeter-main.c:368
#011error = (GError *) 0x0
#011session = <value optimized out>

#011signal_handler = <value optimized out>

#0  0x00131416 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]
Comment 7 Dan Winship 2008-03-31 09:44:23 EDT
Sorry, my bad. The crash didn't go away when I updated, it went away when I
turned off selinux. So I believe the bug is "gdm crashes before password prompt
if selinux is enabled". (I also get a black background and a gnome-power-manager
warning in that case.)
Comment 8 Ira Malinich 2008-04-01 01:20:08 EDT
I've had this problem since installing (and also after yum updating) F9 Beta on
Saturday.  I just tried various methods of disabling SELinux and nothing seems
to stop the crashes:

1. echo 1 > /selinux/enforce

2. One at a time as kernel parameters:
enforce=0
and
selinux=0

3. One at a time in /etc/selinux/config:
SELINUX=permissive
and
SELINUX=disabled
Comment 9 Matthias Clasen 2008-04-01 13:21:09 EDT
CCing dwalsh@redhat.com
Comment 10 Need Real Name 2008-04-04 15:12:21 EDT
I get this after an f8->f9 upgrade.
Obviously my workaround is to boot into runlevel 3 and run "startx".

Also: before the crash I see a message about my energy settings in gnome being
wrong, then my monitor goes to sleep and it won't wake up.
Comment 11 Saikat Guha 2008-04-05 16:25:01 EDT
gdm-2.21.10-0.2008.04.03.3.fc9.i386 works fine without disabling selinux.
Comment 12 Ira Malinich 2008-04-05 18:18:45 EDT
In /etc/sysconfig/i18n I changed the line:

LANG="="
to
LANG="en_CA.UTF-8"

After rebooting, gdm didn't crash on me anymore and I could actually get to the
desktop.  Yay!  Can anyone confirm this behaviour?

My guess is that Anaconda putting silly things in my i18n config.  However,
shouldn't gdm be able to handle/ignore silly settings like this?
Comment 13 Matthias Clasen 2008-04-06 00:09:09 EDT
This should be fixed in tomorrows rawhide:

* Sat Apr  5 2008 Ray Strode <rstrode@redhat.com> - 1:2.21.10-0.2008.04.04.1
- Fix jump in animation for autologin
- Fix crash if LANG="somethingbogus"
Comment 14 Need Real Name 2008-04-06 04:40:13 EDT
Where is the list of LANGs that are considered correct?
Comment 15 Ray Strode [halfline] 2008-04-06 13:58:29 EDT
run system-config-language and pick one there, it should rewrite out the file
for you
Comment 16 Need Real Name 2008-04-06 14:03:38 EDT
LANG="de_AT.UTF-8"
is already correct..
Comment 17 Ray Strode [halfline] 2008-04-06 14:20:39 EDT
It sounds like you may be experiencing a different issue than Ira.  Can you put
Enable=true in the [debug] section of /etc/gdm/custom.conf, reproduce the crash
and then attach the backtrace in a different bug report?

(you can just click the "Clone as bug" link at the top of this page if you want,
or file a new one from scratch)
Comment 18 Need Real Name 2008-04-06 14:37:08 EDT
gdm no longer crashes since I upgraded today so I am unable to reproduce the
bug, sorry.
Comment 19 Ray Strode [halfline] 2008-04-06 14:41:27 EDT
oh okay.